c_ftcurvp(3NCARG)

NAME
c_ftcurvp - 1D interpolation for periodic functions

FUNCTION PROTOTYPE
int c_ftcurvp (int, float [], float [], float, int, float [], float []);

SYNOPSIS
int c_ftcurvp (n, xi, yi, p, m, xo, yo);

DESCRIPTION

n   The number of input data points. (n > 1)

xi  An array containing the abscissae for the input function.

yi  An array containing the input functional values (y(k) is the functional value at x(k) for k=0,n).

p   The period of the function; p must not be less than xi[n-1] - xi[0].

m   The number of desired interpolated points.

xo  An array containing the abscissae for the interpolated values.

yo  An array containing the interpolated functional values (yo(k) is the functional value at xo(k) for k=0,n).

RETURN VALUE
c_ftcurvp returns an error value as per:

= 0 -- no error.
= 1 -- if n is less than 2.
= 2 -- if the period is strictly less than the span of the abscissae.

USAGE
c_ftcurvp is called after all of the desired values for control parameters have been set using the procedures c_ftseti, c_ftsetr, c_ftsetc. Control parameters that apply to c_ftcurvp are: sig.

ACCESS
To use c_ftcurvp, load the NCAR Graphics library ngmath.

SEE ALSO
fitgrid_params, c_ftseti, c_ftsetr, c_ftsetc.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.